Delete
curl --request DELETE \
--url https://{appId}.api-{region}.cometchat.io/v3/users/{uid} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"permanent": "false"
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/users/{uid}"
payload = { "permanent": "false" }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({permanent: 'false'})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/users/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "User with cometchat-uid-6 has been deleted successfully."
}
}Users
Delete
Deactivate a CometChat user by UID with REST API, or permanently delete the user and related data with permanent: true.
DELETE
/
users
/
{uid}
Delete
For the complete error reference, see Error Guide.
Permanent deletion: By default, deleting a user only deactivates them. To permanently delete a user along with all their messages, conversations, and associated data, you must include
permanent: true in the request body. This action is irreversible.Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Path Parameters
An UID of a user.
Body
application/json
Permanently deletes the user along with all the messages, conversations, etc.
Response
200 - application/json
Deleted User
Was this page helpful?
⌘I